Subject: Re: bug#11485: In configure.in, gl_EARLY is too early?

From: Paul Eggert <[email-masked]>
Date: Wed, 16 May 2012 02:10:15 -0700

Andreas is right that CPP is no longer needed.
I have removed that stuff from the trunk in bzr 108252.
In the trunk, I also moved gl_EARLY to the place where
Glenn suggested, as that makes sense.

If gl_EARLY overrides the other CPP stuff
in emacs-24, that shouldn't harm emacs-24, since we don't
care what CPP is.

However, if gl_EARLY overrides the other CC stuff
that might be a problem.  This would affect two platforms:
Apple Darwin / Maco OS X (where emacs-24 currently
adds -I/sw/include and -L/sw/lib) and Iris 4D
(where it adds -D_LANGUAGE_C).  So it might make
sense in the emacs-24 trunk to move gl_EARLY as Glenn
suggests, if only because of these two issues.